Crypt_Hash

# Class: Crypt_Hash

Source Location: /lib/3rdParty/phpseclib/Crypt/Hash.php

### Class Overview

Pure-PHP implementations of keyed-hash message authentication codes (HMACs) and various cryptographic hashing functions.

#### Author(s):

- Jim Wigginton <terrafrost@php.net>

#### Version:

- 0.1.0

### Methods

- Crypt_Hash
- getLength
- hash
- setHash
- setKey

### Class Details

[line 85]
Pure-PHP implementations of keyed-hash message authentication codes (HMACs) and various cryptographic hashing functions.

#### Tags:

author: | Jim Wigginton <terrafrost@php.net>
version: | 0.1.0
access: | public

[ Top ]

### Class Methods

### constructor Crypt_Hash [line 147]

`Crypt_Hash Crypt_Hash( [optional $hash = 'sha1'])`

Default Constructor.

#### Tags:

access: | public

#### Parameters:

optional | $hash | String $hash

[ Top ]

### method getLength [line 343]

`Integer getLength( )`

Returns the hash length (in bytes)

#### Tags:

access: | public

[ Top ]

### method hash [line 294]

`String hash( String $text)`

Compute the HMAC.

#### Tags:

access: | public

#### Parameters:

String | $text |

[ Top ]

### method setHash [line 184]

`void setHash( String $hash)`

Sets the hash function.

#### Tags:

access: | public

#### Parameters:

String | $hash |

[ Top ]

### method setKey [line 173]

`void setKey( String $key)`

Sets the key for HMACs

Keys can be of any length.

#### Tags:

access: | public

#### Parameters:

String | $key |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:45 +0100 by phpDocumentor 1.4.1